Subject: [Fot] Spitfire tire search continues

From: Shawn Frank <[email-masked]>
Date: Sat, 17 Aug 2013 11:26:23 -0700 (PDT)

I have found it harder than I thought to find a good set of street/auto cross tires for a Spitfire. The size that is recommended is 155/80/13 but I have heard that 175/70/13's fit. The only tires I can find locally are crap. I would like to find a nice set of Kumho, Hankook, Firestone, Bridgestone, etc. Something name brand. Does anyone have a recommendation of brands, availability, or even have a nice new or used set? I wanted to get tires before our drive to the Kastner Cup, but will have to deal with the shop rollers I have on her now. They still have decent life left on them. 

If you know of any, please let me know.

Thank you and see you at the KCup!!!

Shawn Frank

Sent from Yahoo! Mail on Android
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive